%define name grpn
%define version 1.1.2
%define release 3mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Summary: 	RPN calculator for X built using the GIMP Toolkit
URL: 		http://lashwhip.com/grpn.html
Group: 		Sciences/Mathematics
Source: 	%{name}-%{version}.tar.bz2
BuildRequires: gtk+-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description 
GRPN Version 1.0, By Paul Wilkins

GRPN is a RPN calculator for the X Window system built using the GIMP
Toolkit (GTK).  GRPN works with real numbers, complex numbers,
matrices, and complex matrices.  Numbers can be displayed in 4
different radix modes, and complex numbers can be displayed in either
Cartesian or polar form.  


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%make

%install
install -m 755 -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 grpn $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/grpn"\
title="Grpn"\
longtitle="A RPN calculator"\
needs="x11"\
icon="mathematics_section.png"\
section="Applications/Sciences/Mathematics"
EOF


%clean
rm -rf $RPM_BUILD_ROOT 

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr (-,root,root)
%doc CHANGES LICENSE README
%{_bindir}/*
%{_libdir}/*

%changelog
* Mon Aug 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.2-3mdk
- Rebuild

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.2-2mdk
- Rebuild

* Mon Apr 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-1mdk
- 1.1.2

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-5mdk
- Fix menu entry

* Tue Jul 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-4mdk
- s/Copyright/License/g

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.1-3mdk
- New office menu structure

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-2mdk
- rebuild

* Mon Sep 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-1mdk
- menus
- macros
- BM
- v1.1.1

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-2mdk
- fix group

* Thu Feb 24 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build 

* Mon Jun 21 1999 Tom Faska <tom@ubertas.com>
- Initial RPM for grpn-1.1.0
